> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SSO Login URL

> This endpoint returns an api_token to open a Nexus session

<Info>
  This URL is not to be used without discussing its implementation with an MX Integration engineer.
</Info>

This URL can be used to create a full screen version of the widget software that is capable of being refreshed without ending the session. This is not a recommended usage but is provided for compatibility purposes for certain circumstances.

<RequestExample>
  ```shell Request theme={null}
  curl -i https://int-sso.moneydesktop.com/{client_id}/users/{user_id}/urls/login.xml \
    -H "Accept: application/vnd.moneydesktop.sso.v3+xml" \
    -H "MD-API-KEY: {api_key}"
  ```
</RequestExample>

<ResponseExample>
  ```xml XML theme={null}
  <url>
    <user_id>unique-user-id</user_id>
    <type>login</type>
    <url>https://widgets.moneydesktop.com/login/XXXXX</url>
  </url>
  ```

  ```json JSON theme={null}
  {
     "url":{
        "url":"https://widgets.moneydesktop.com/login/XXXXX",
        "type":"login",
        "user_id":"unique-user-id"
     }
  }
  ```
</ResponseExample>
